Skip to content
configure 876 KiB
Newer Older
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_link") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest$ac_exeext &&
       $as_test_x conftest$ac_exeext; then
  ok=PTHREAD_CREATE_JOINABLE
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ok=unknown
fi

rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
      conftest$ac_exeext conftest.$ac_ext
        if test x"$ok" = xunknown; then
                cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
#include <pthread.h>
int
main ()
{
int attr=PTHREAD_CREATE_UNDETACHED;
  ;
  return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_link") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest$ac_exeext &&
       $as_test_x conftest$ac_exeext; then
  ok=PTHREAD_CREATE_UNDETACHED
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ok=unknown
fi

rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
      conftest$ac_exeext conftest.$ac_ext
        fi
        if test x"$ok" != xPTHREAD_CREATE_JOINABLE; then

cat >>confdefs.h <<\_ACEOF
#define PTHREAD_CREATE_JOINABLE $ok
_ACEOF

        fi
        { echo "$as_me:$LINENO: result: ${ok}" >&5
echo "${ECHO_T}${ok}" >&6; }
        if test x"$ok" = xunknown; then
                { echo "$as_me:$LINENO: WARNING: we do not know how to create joinable pthreads" >&5
echo "$as_me: WARNING: we do not know how to create joinable pthreads" >&2;}
        { echo "$as_me:$LINENO: checking if more special flags are required for pthreads" >&5
echo $ECHO_N "checking if more special flags are required for pthreads... $ECHO_C" >&6; }
        flag=no
        case "${host_cpu}-${host_os}" in
                *-aix* | *-freebsd*)     flag="-D_THREAD_SAFE";;
                *solaris* | alpha*-osf*) flag="-D_REENTRANT";;
        esac
        { echo "$as_me:$LINENO: result: ${flag}" >&5
echo "${ECHO_T}${flag}" >&6; }
        if test "x$flag" != xno; then
                PTHREAD_CFLAGS="$flag $PTHREAD_CFLAGS"
        fi

        LIBS="$save_LIBS"
        CFLAGS="$save_CFLAGS"

        # More AIX lossage: must compile with cc_r
        # Extract the first word of "cc_r", so it can be a program name with args.
set dummy cc_r; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_prog_PTHREAD_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  if test -n "$PTHREAD_CC"; then
  ac_cv_prog_PTHREAD_CC="$PTHREAD_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
    ac_cv_prog_PTHREAD_CC="cc_r"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
done
IFS=$as_save_IFS

  test -z "$ac_cv_prog_PTHREAD_CC" && ac_cv_prog_PTHREAD_CC="${CC}"
fi
fi
PTHREAD_CC=$ac_cv_prog_PTHREAD_CC
if test -n "$PTHREAD_CC"; then
  { echo "$as_me:$LINENO: result: $PTHREAD_CC" >&5
echo "${ECHO_T}$PTHREAD_CC" >&6; }
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi


else
        PTHREAD_CC="$CC"
fi





# Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
if test x"$acx_pthread_ok" = xyes; then

cat >>confdefs.h <<\_ACEOF
#define HAVE_PTHREAD 1
_ACEOF

        :
else
        acx_pthread_ok=no

fi


  CC="$PTHREAD_CC"
  CFLAGS="$CFLAGS $PTHREAD_CFLAGS -D_REENTRANT"
  LIBS="$PTHREAD_LIBS $LIBS"
fi
 if test $use_pthreads = "yes"; then
  USE_THREADS_TRUE=
  USE_THREADS_FALSE='#'
else
  USE_THREADS_TRUE='#'
  USE_THREADS_FALSE=
fi


################ handle the FFTW library (Fourier transforms) ################




acx_fftw_ok=no
if test x$fftw_incdir = x; then
  if test x$fftw_libdir = x; then
    if test "${ac_cv_header_fftw3_h+set}" = set; then
  { echo "$as_me:$LINENO: checking for fftw3.h" >&5
echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6; }
if test "${ac_cv_header_fftw3_h+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
{ echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6; }
else
  # Is the header compilable?
{ echo "$as_me:$LINENO: checking fftw3.h usability" >&5
echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
$ac_includes_default
#include <fftw3.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_compile") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest.$ac_objext; then
  ac_header_compiler=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_header_compiler=no
fi

rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }

# Is the header present?
{ echo "$as_me:$LINENO: checking fftw3.h presence" >&5
echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
#include <fftw3.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } >/dev/null && {
	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
	 test ! -s conftest.err
       }; then
  ac_header_preproc=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

  ac_header_preproc=no
fi

rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }

# So?  What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  yes:no: )
    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
    ac_header_preproc=yes
    ;;
  no:yes:* )
    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
    ( cat <<\_ASBOX
## ---------------------------- ##
## Report this to bertin@iap.fr ##
## ---------------------------- ##
_ASBOX
     ) | sed "s/^/$as_me: WARNING:     /" >&2
    ;;
esac
{ echo "$as_me:$LINENO: checking for fftw3.h" >&5
echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6; }
if test "${ac_cv_header_fftw3_h+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  ac_cv_header_fftw3_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6; }
if test $ac_cv_header_fftw3_h = yes; then
  acx_fftw_ok=yes
fi


    if test x$acx_fftw_ok = xyes; then

cat >>confdefs.h <<\_ACEOF
#define FFTW_H "fftw.h"
_ACEOF

    else
      if test "${ac_cv_header_fftw_fftw3_h+set}" = set; then
  { echo "$as_me:$LINENO: checking for fftw/fftw3.h" >&5
echo $ECHO_N "checking for fftw/fftw3.h... $ECHO_C" >&6; }
if test "${ac_cv_header_fftw_fftw3_h+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
{ echo "$as_me:$LINENO: result: $ac_cv_header_fftw_fftw3_h" >&5
echo "${ECHO_T}$ac_cv_header_fftw_fftw3_h" >&6; }
else
  # Is the header compilable?
{ echo "$as_me:$LINENO: checking fftw/fftw3.h usability" >&5
echo $ECHO_N "checking fftw/fftw3.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
$ac_includes_default
#include <fftw/fftw3.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_compile") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest.$ac_objext; then
  ac_header_compiler=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_header_compiler=no
fi

rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }

# Is the header present?
{ echo "$as_me:$LINENO: checking fftw/fftw3.h presence" >&5
echo $ECHO_N "checking fftw/fftw3.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
#include <fftw/fftw3.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } >/dev/null && {
	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
	 test ! -s conftest.err
       }; then
  ac_header_preproc=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

  ac_header_preproc=no
fi

rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }

# So?  What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  yes:no: )
    { echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: fftw/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: fftw/fftw3.h: proceeding with the compiler's result" >&2;}
    ac_header_preproc=yes
    ;;
  no:yes:* )
    { echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: fftw/fftw3.h: present but cannot be compiled" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw/fftw3.h:     check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: fftw/fftw3.h:     check for missing prerequisite headers?" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: fftw/fftw3.h: see the Autoconf documentation" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw/fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: fftw/fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: fftw/fftw3.h: proceeding with the preprocessor's result" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: fftw/fftw3.h: in the future, the compiler will take precedence" >&2;}
    ( cat <<\_ASBOX
## ---------------------------- ##
## Report this to bertin@iap.fr ##
## ---------------------------- ##
_ASBOX
     ) | sed "s/^/$as_me: WARNING:     /" >&2
    ;;
esac
{ echo "$as_me:$LINENO: checking for fftw/fftw3.h" >&5
echo $ECHO_N "checking for fftw/fftw3.h... $ECHO_C" >&6; }
if test "${ac_cv_header_fftw_fftw3_h+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  ac_cv_header_fftw_fftw3_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_fftw_fftw3_h" >&5
echo "${ECHO_T}$ac_cv_header_fftw_fftw3_h" >&6; }
if test $ac_cv_header_fftw_fftw3_h = yes; then
  acx_fftw_ok=yes
fi


      if test x$acx_fftw_ok = xyes; then

cat >>confdefs.h <<\_ACEOF
#define FFTW_H "fftw/fftw3.h"
_ACEOF

      else
        FFTW_ERROR="FFTW include files not found in default location!"
      fi
    fi
  else
    as_ac_Header=`echo "ac_cv_header_$fftw_libdir/include/fftw3.h" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  { echo "$as_me:$LINENO: checking for $fftw_libdir/include/fftw3.h" >&5
echo $ECHO_N "checking for $fftw_libdir/include/fftw3.h... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
ac_res=`eval echo '${'$as_ac_Header'}'`
	       { echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
else
  # Is the header compilable?
{ echo "$as_me:$LINENO: checking $fftw_libdir/include/fftw3.h usability" >&5
echo $ECHO_N "checking $fftw_libdir/include/fftw3.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
$ac_includes_default
#include <$fftw_libdir/include/fftw3.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_compile") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest.$ac_objext; then
  ac_header_compiler=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_header_compiler=no
fi

rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }

# Is the header present?
{ echo "$as_me:$LINENO: checking $fftw_libdir/include/fftw3.h presence" >&5
echo $ECHO_N "checking $fftw_libdir/include/fftw3.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
#include <$fftw_libdir/include/fftw3.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } >/dev/null && {
	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
	 test ! -s conftest.err
       }; then
  ac_header_preproc=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

  ac_header_preproc=no
fi

rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }

# So?  What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  yes:no: )
    { echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: proceeding with the compiler's result" >&2;}
    ac_header_preproc=yes
    ;;
  no:yes:* )
    { echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: present but cannot be compiled" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h:     check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h:     check for missing prerequisite headers?" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: see the Autoconf documentation" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: proceeding with the preprocessor's result" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: in the future, the compiler will take precedence" >&2;}
    ( cat <<\_ASBOX
## ---------------------------- ##
## Report this to bertin@iap.fr ##
## ---------------------------- ##
_ASBOX
     ) | sed "s/^/$as_me: WARNING:     /" >&2
    ;;
esac
{ echo "$as_me:$LINENO: checking for $fftw_libdir/include/fftw3.h" >&5
echo $ECHO_N "checking for $fftw_libdir/include/fftw3.h... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  eval "$as_ac_Header=\$ac_header_preproc"
fi
ac_res=`eval echo '${'$as_ac_Header'}'`
	       { echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
if test `eval echo '${'$as_ac_Header'}'` = yes; then
  acx_fftw_ok=yes
fi


    if test x$acx_fftw_ok = xyes; then

cat >>confdefs.h <<\_ACEOF
#define FFTW_H "$fftw_libdir/include/fftw3.h"
_ACEOF

    else
      if test "${ac_cv_header_fftw3_h+set}" = set; then
  { echo "$as_me:$LINENO: checking for fftw3.h" >&5
echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6; }
if test "${ac_cv_header_fftw3_h+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
{ echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6; }
else
  # Is the header compilable?
{ echo "$as_me:$LINENO: checking fftw3.h usability" >&5
echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
$ac_includes_default
#include <fftw3.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_compile") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest.$ac_objext; then
  ac_header_compiler=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_header_compiler=no
fi

rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }

# Is the header present?
{ echo "$as_me:$LINENO: checking fftw3.h presence" >&5
echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
#include <fftw3.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } >/dev/null && {
	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
	 test ! -s conftest.err
       }; then
  ac_header_preproc=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

  ac_header_preproc=no
fi

rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }

# So?  What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  yes:no: )
    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
    ac_header_preproc=yes
    ;;
  no:yes:* )
    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
    ( cat <<\_ASBOX
## ---------------------------- ##
## Report this to bertin@iap.fr ##
## ---------------------------- ##
_ASBOX
     ) | sed "s/^/$as_me: WARNING:     /" >&2
    ;;
esac
{ echo "$as_me:$LINENO: checking for fftw3.h" >&5
echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6; }
if test "${ac_cv_header_fftw3_h+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  ac_cv_header_fftw3_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6; }
if test $ac_cv_header_fftw3_h = yes; then
  acx_fftw_ok=yes
fi


      if test x$acx_fftw_ok = xyes; then

cat >>confdefs.h <<\_ACEOF
#define FFTW_H "fftw.h"
_ACEOF

      else
        FFTW_ERROR="FFTW include files not found in $fftw_libdir/include!"
      fi
    fi
  fi
else
  as_ac_Header=`echo "ac_cv_header_$fftw_incdir/fftw3.h" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  { echo "$as_me:$LINENO: checking for $fftw_incdir/fftw3.h" >&5
echo $ECHO_N "checking for $fftw_incdir/fftw3.h... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
ac_res=`eval echo '${'$as_ac_Header'}'`
	       { echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
else
  # Is the header compilable?
{ echo "$as_me:$LINENO: checking $fftw_incdir/fftw3.h usability" >&5
echo $ECHO_N "checking $fftw_incdir/fftw3.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
$ac_includes_default
#include <$fftw_incdir/fftw3.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_compile") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest.$ac_objext; then
  ac_header_compiler=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_header_compiler=no
fi

rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }

# Is the header present?
{ echo "$as_me:$LINENO: checking $fftw_incdir/fftw3.h presence" >&5
echo $ECHO_N "checking $fftw_incdir/fftw3.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
#include <$fftw_incdir/fftw3.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } >/dev/null && {
	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
	 test ! -s conftest.err
       }; then
  ac_header_preproc=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

  ac_header_preproc=no
fi

rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }

# So?  What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  yes:no: )
    { echo "$as_me:$LINENO: WARNING: $fftw_incdir/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: $fftw_incdir/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_incdir/fftw3.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: $fftw_incdir/fftw3.h: proceeding with the compiler's result" >&2;}
    ac_header_preproc=yes
    ;;
  no:yes:* )
    { echo "$as_me:$LINENO: WARNING: $fftw_incdir/fftw3.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: $fftw_incdir/fftw3.h: present but cannot be compiled" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_incdir/fftw3.h:     check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $fftw_incdir/fftw3.h:     check for missing prerequisite headers?" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_incdir/fftw3.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $fftw_incdir/fftw3.h: see the Autoconf documentation" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_incdir/fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: $fftw_incdir/fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_incdir/fftw3.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: $fftw_incdir/fftw3.h: proceeding with the preprocessor's result" >&2;}
    { echo "$as_me:$LINENO: WARNING: $fftw_incdir/fftw3.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: $fftw_incdir/fftw3.h: in the future, the compiler will take precedence" >&2;}
    ( cat <<\_ASBOX
## ---------------------------- ##
## Report this to bertin@iap.fr ##
## ---------------------------- ##
_ASBOX
     ) | sed "s/^/$as_me: WARNING:     /" >&2
{ echo "$as_me:$LINENO: checking for $fftw_incdir/fftw3.h" >&5
echo $ECHO_N "checking for $fftw_incdir/fftw3.h... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  eval "$as_ac_Header=\$ac_header_preproc"
fi
ac_res=`eval echo '${'$as_ac_Header'}'`
	       { echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
if test `eval echo '${'$as_ac_Header'}'` = yes; then
  acx_fftw_ok=yes
  if test x$acx_fftw_ok = xyes; then
cat >>confdefs.h <<\_ACEOF
#define FFTW_H "$fftw_incdir/fftw3.h"
_ACEOF

  else
    FFTW_ERROR="FFTW include files not found in $fftw_incdir!"
  fi
fi
FFTW_LIBS=""
OLIBS="$LIBS"
LIBS=""
if test x$acx_fftw_ok = xyes; then
  if test x$fftw_libdir = x; then
    if test xno = xyes; then
      { echo "$as_me:$LINENO: checking for fftwf_execute in -lfftw3f" >&5
echo $ECHO_N "checking for fftwf_execute in -lfftw3f... $ECHO_C" >&6; }
if test "${ac_cv_lib_fftw3f_fftwf_execute+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lfftw3f -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char fftwf_execute ();
return fftwf_execute ();
  ;
  return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_link") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest$ac_exeext &&
       $as_test_x conftest$ac_exeext; then
  ac_cv_lib_fftw3f_fftwf_execute=yes
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_cv_lib_fftw3f_fftwf_execute=no

rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
      conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3f_fftwf_execute" >&5
echo "${ECHO_T}$ac_cv_lib_fftw3f_fftwf_execute" >&6; }
if test $ac_cv_lib_fftw3f_fftwf_execute = yes; then
  acx_fftw_ok=yes
else
  acx_fftw_ok=no
      if test x$acx_fftw_ok = xyes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_FFTWF 1
_ACEOF

        FFTW_LIBS="-lfftw3f"
      else
        FFTW_ERROR="FFTW single precision library files not found at usual locations!"
      fi
    else